=== debian/changelog ===
ros-noetic-toposens-driver (2.3.2-2focal) focal; urgency=high

  * Download test data to /tmp/tests
  * Contributors: Thomas Böhm

 -- Dennis Maier <maier@toposens.com>  Wed, 26 Jan 2022 23:00:00 -0000

ros-noetic-toposens-driver (2.3.1-2focal) focal; urgency=high

  * Minor clean-up and bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Mon, 25 Oct 2021 22:00:00 -0000

ros-noetic-toposens-driver (2.3.0-2focal) focal; urgency=high

  * Introduce toposens_echo_driver package
  * Update maintainers
  * Minor bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 22 Sep 2021 22:00:00 -0000

ros-noetic-toposens-driver (2.2.1-2focal) focal; urgency=high

  * Update Maintainer
  * Minor Update
  * Contributors: Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 19 May 2021 22:00:00 -0000

ros-noetic-toposens-driver (2.2.0-2focal) focal; urgency=high

  * Optimize launch file structure
  * Add .clang-format file and auto-format files (including XML-style files)
  * Remove reconfig unit/integration tests from packages toposens_driver and
    toposens_markers
  * Bugfix: Install param/ folder
  * Contributors: Dennis Maier, Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-toposens-driver (2.1.1-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 23 Nov 2020 23:00:00 -0000

ros-noetic-toposens-driver (2.1.0-2focal) focal; urgency=high

  * Introduce bringup package and general updates.
  * Prepare for Noetic release
  * Run separate CI stages for melodic+noetic. Bump up CMake version to 3.0.2.
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Mon, 02 Nov 2020 23:00:00 -0000

ros-noetic-toposens-driver (2.0.4-2focal) focal; urgency=high

  * Changed package maintainer
  * Fix catkin_lint issues
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 14 Oct 2020 22:00:00 -0000

ros-noetic-toposens-driver (2.0.3-2focal) focal; urgency=high

  * Added param directory to install
  * Changed address of server for testing files
  * Contributors: Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Tue, 11 Aug 2020 22:00:00 -0000

ros-noetic-toposens-driver (2.0.2-2focal) focal; urgency=high

  * Changed package maintainer
  * Contributors: Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Thu, 27 Feb 2020 23:00:00 -0000

ros-noetic-toposens-driver (2.0.1-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Wed, 22 Jan 2020 23:00:00 -0000

ros-noetic-toposens-driver (2.0.0-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 13 Jan 2020 23:00:00 -0000

ros-noetic-toposens-driver (1.3.0-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Sun, 17 Nov 2019 23:00:00 -0000

ros-noetic-toposens-driver (1.2.3-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 02 Sep 2019 22:00:00 -0000

ros-noetic-toposens-driver (1.2.2-2focal) focal; urgency=high

  * Baudrate changed to 576000 to match TS3 firmware version 13
  * Firmware version displayed at startup
  * Contributors: Andrej Wallwitz, Georgiana Barbut

 -- Tobias Roth <roth@toposens.com>  Thu, 01 Aug 2019 22:00:00 -0000

ros-noetic-toposens-driver (1.2.1-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 11 Jul 2019 22:00:00 -0000

ros-noetic-toposens-driver (1.2.0-2focal) focal; urgency=high

  * Added support for armhf architectures
  * Added rules to install launch files
  * Contributors: Christopher Lang, Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Thu, 04 Jul 2019 22:00:00 -0000

ros-noetic-toposens-driver (1.1.0-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 20 Jun 2019 22:00:00 -0000

ros-noetic-toposens-driver (1.0.0-2focal) focal; urgency=high

  * Added setup delay to Hz tests
  * Contributors: Adi Singh, Christopher Lang, Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Mon, 13 May 2019 22:00:00 -0000

ros-noetic-toposens-driver (0.9.6-2focal) focal; urgency=high

  * Add colored tags to tests for console debugging
  * Added sensor mesh to PCL rviz
  * Removed pointcloud dependency on rviz
  * Implemented test data download functionality
  * Contributors: Adi Singh, Roua Mokchah

 -- Tobias Roth <roth@toposens.com>  Sun, 12 May 2019 22:00:00 -0000

ros-noetic-toposens-driver (0.9.5-2focal) focal; urgency=high

  * Implemented tests for dynamic reconfig
  * Implemented tests for toposens_pointcloud
  * Contributors: Adi Singh, Roua Mokchah

 -- Tobias Roth <roth@toposens.com>  Thu, 02 May 2019 22:00:00 -0000

ros-noetic-toposens-driver (0.9.3-2focal) focal; urgency=high

  * Added automated tests for toposens_markers
  * Contributors: Adi Singh, Roua Mokchah

 -- Tobias Roth <roth@toposens.com>  Thu, 25 Apr 2019 22:00:00 -0000

ros-noetic-toposens-driver (0.9.2-2focal) focal; urgency=high

  * Fixed package versions
  * Added Docker config file
  * Contributors: Adi Singh

 -- Tobias Roth <roth@toposens.com>  Tue, 16 Apr 2019 22:00:00 -0000

ros-noetic-toposens-driver (0.9.0-2focal) focal; urgency=high

  * Integrated with turtlebot packages
  * Linted cmake files
  * Contributors: Adi Singh, Nancy Seckel

 -- Tobias Roth <roth@toposens.com>  Mon, 08 Apr 2019 22:00:00 -0000

ros-noetic-toposens-driver (0.8.1-2focal) focal; urgency=high

  * Added gitlab CI config
  * Added remote Turtlebot launchers
  * Pointcloud instructions added to README.md
  * Temperature calibration implemented
  * Contributors: Adi Singh, Andrej Wallwitz, Nancy Seckel, Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Thu, 28 Mar 2019 23:00:00 -0000

ros-noetic-toposens-driver (0.8.0-2focal) focal; urgency=high

  * Added driver documentation
  * Created Command class with overloaded constructors
  * Contributors: Adi Singh, Christopher Lang

 -- Tobias Roth <roth@toposens.com>  Thu, 07 Mar 2019 23:00:00 -0000


