=== debian/control ===
Source: ros-noetic-toposens-driver
Section: misc
Priority: optional
Maintainer: Dennis Maier <maier@toposens.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rostest, ros-noetic-toposens-msgs
Homepage: https://toposens.com
Standards-Version: 3.9.2

Package: ros-noetic-toposens-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-toposens-msgs
Description: ROS device driver for communication with TS sensors.
